# eric4.Helpviewer.HelpClearPrivateDataDialog

Module implementing a dialog to select which private data to clear.

### Global Attributes

None

### Classes

HelpClearPrivateDataDialog | Class implementing a dialog to select which private data to clear.

### Functions

None

## HelpClearPrivateDataDialog

Class implementing a dialog to select which private data to clear.

### Derived from

QDialog, Ui_HelpClearPrivateDataDialog

### Class Attributes

None

### Class Methods

None

### Methods

HelpClearPrivateDataDialog | Constructor
getData | Public method to get the data from the dialog.

### Static Methods

None

#### HelpClearPrivateDataDialog (Constructor)

HelpClearPrivateDataDialog(parent = None)

Constructor

parent
  reference to the parent widget (QWidget)

#### HelpClearPrivateDataDialog.getData

getData()

Public method to get the data from the dialog.

Returns:
  tuple of flags indicating which data to clear (browsing history, search history, favicons, disk cache, cookies, passwords) (list of boolean)

Up